Subject: Re: bug#26862: Quit Gnus prompts about unsent messages, but messages can't be saved as drafts

From: Stephen Berman <[email-masked]>
Date: Wed, 10 May 2017 11:27:05 +0200

On Wed, 10 May 2017 11:59:44 +0800 Eric Abrahamsen <[email-masked]> wrote:

> What I mean is:
>
> 1. With unfinished/unsent messages open, you quit Gnus.
> 2. Gnus says you have unsent messages, quit anyway?
> 3. You say no.
> 4. You go to the unsaved message, and run "C-c C-d" to save as draft.
> 5. Gnus says "selecting deleted buffer"

This happens here too.

> 6. You can't save the draft.

However, when I restart Gnus, I see that that unsent message is in the
Drafts group, i.e., Gnus in fact saved it.  So it's a UI bug but doesn't
lose data.

Steve Berman